%define debug_package	%{nil}
%define	Objects_Home	/fmem-kernel-objects-%{version}
%define	DIST		%(echo %{dist} | sed 's/\.//')
%define BaseName	fmem-kernel-modules
%define ARCH		%(uname -m)
%define _binaries_in_noarch_packages_terminate_build 0

Summary:	This package contains all of the kernel objects for all of the kernels for Fedora 30 x86_64 for FMEM

Packager:	Lawrence R. Rogers (lrr@cert.org)

Vendor:		cert.org
Name:		%{BaseName}-%{DIST}-%{ARCH}
Version:	1.6
%define	RELMAJ 1
%define RELMIN 39
Release:	%{RELMAJ}.%{RELMIN}

License:	GPL

Group:		Applications/Forensics Tools
URL:		http://hysteria.sk/~niekt0/fmem/
Source:		%{BaseName}-%{version}-%{RELMAJ}.tgz
Patch1:		%{BaseName}-%{version}-%{RELMAJ}-patch-001

BuildRoot:	%{_tmppath}/rpm-root-%{name}-v%{version}
BuildArch:	noarch

%description
This package provides kernel objects for Fedora 30 x86_64-based systems.

%prep
%setup -T -c
%patch1 -p1

%build

%install
%{__install} -d %{buildroot}%{_datadir}/%{BaseName}-%{version}
cp -rp %{Objects_Home}/*%{DIST}.*%{ARCH}* %{buildroot}%{_datadir}/%{BaseName}-%{version}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%attr(744, root, root)	%{_datadir}/%{BaseName}-%{version}/*/*.ko

%changelog
* Fri May 22 2020 Lawrence R. Rogers <lrr@cert.org> 1.6-1.39
* Release 1.6-1.39
	Kernel modules were added for the following kernels:
		5.6.13-100

* Fri May 15 2020 Lawrence R. Rogers <lrr@cert.org> 1.6-1.38
* Release 1.6-1.38
	Kernel modules were added for the following kernels:
		5.6.11-100

* Fri May  8 2020 Lawrence R. Rogers <lrr@cert.org> 1.6-1.37
* Release 1.6-1.37
	Kernel modules were added for the following kernels:
		5.6.8-100

* Fri May  1 2020 Lawrence R. Rogers <lrr@cert.org> 1.6-1.36
* Release 1.6-1.36
	Kernel modules were added for the following kernels:
		5.6.7-100

* Fri Apr 17 2020 Lawrence R. Rogers <lrr@cert.org> 1.6-1.35
* Release 1.6-1.35
	Kernel modules were added for the following kernels:
		5.5.16-100

* Fri Mar 27 2020 Lawrence R. Rogers <lrr@cert.org> 1.6-1.34
* Release 1.6-1.34
	Kernel modules were added for the following kernels:
		5.5.10-100

* Fri Mar 20 2020 Lawrence R. Rogers <lrr@cert.org> 1.6-1.33
* Release 1.6-1.33
	Kernel modules were added for the following kernels:
		5.5.9-100

* Fri Mar 13 2020 Lawrence R. Rogers <lrr@cert.org> 1.6-1.32
* Release 1.6-1.32
	Kernel modules were added for the following kernels:
		5.5.8-100

* Wed Mar  4 2020 Lawrence R. Rogers <lrr@cert.org> 1.6-1.31
* Release 1.6-1.31
	Kernel modules were added for the following kernels:
		5.5.7-100
		5.5.6-100

* Fri Feb 28 2020 Lawrence R. Rogers <lrr@cert.org> 1.6-1.30
* Release 1.6-1.30
	Kernel modules were added for the following kernels:
		5.4.21-100

* Fri Feb 21 2020 Lawrence R. Rogers <lrr@cert.org> 1.6-1.29
* Release 1.6-1.29
	Kernel modules were added for the following kernels:
		5.4.19-100

* Fri Feb 14 2020 Lawrence R. Rogers <lrr@cert.org> 1.6-1.28
* Release 1.6-1.28
	Kernel modules were added for the following kernels:
		5.4.18-100
		5.4.17-100
		5.4.14-100
		5.4.12-100

* Fri Jan 17 2020 Lawrence R. Rogers <lrr@cert.org> 1.6-1.27
* Release 1.6-1.27
	Kernel modules were added for the following kernels:
		5.4.10-100

* Fri Jan 10 2020 Lawrence R. Rogers <lrr@cert.org> 1.6-1.26
* Release 1.6-1.26
	Kernel modules were added for the following kernels:
		5.4.7-100

* Fri Dec 20 2019 Lawrence R. Rogers <lrr@cert.org> 1.6-1.25
* Release 1.6-1.25
	Kernel modules were added for the following kernels:
		5.3.16-200

* Thu Dec 12 2019 Lawrence R. Rogers <lrr@cert.org> 1.6-1.24
* Release 1.6-1.24
	Kernel modules were added for the following kernels:
		5.3.15-200
		5.3.14-200

* Fri Dec  6 2019 Lawrence R. Rogers <lrr@cert.org> 1.6-1.23
* Release 1.6-1.23
	Kernel modules were added for the following kernels:
		5.3.13-200

* Wed Nov 27 2019 Lawrence R. Rogers <lrr@cert.org> 1.6-1.22
* Release 1.6-1.22
	Kernel modules were added for the following kernels:
		5.3.12-200

* Fri Nov 15 2019 Lawrence R. Rogers <lrr@cert.org> 1.6-1.21
* Release 1.6-1.21
	Kernel modules were added for the following kernels:
		5.3.11-200

* Fri Nov  8 2019 Lawrence R. Rogers <lrr@cert.org> 1.6-1.20
* Release 1.6-1.20
	Kernel modules were added for the following kernels:
		5.3.8-200

* Fri Nov  1 2019 Lawrence R. Rogers <lrr@cert.org> 1.6-1.19
* Release 1.6-1.19
	Kernel modules were added for the following kernels:
		5.3.7-200

* Mon Oct 21 2019 Lawrence R. Rogers <lrr@cert.org> 1.6-1.18
* Release 1.6-1.18
	No changes - version number synchronization with LiME version.

* Fri Oct 18 2019 Lawrence R. Rogers <lrr@cert.org> 1.6-1.17
* Release 1.6-1.17
	Kernel modules were added for the following kernels:
		5.3.6-200
		5.3.5-200

* Fri Oct 11 2019 Lawrence R. Rogers <lrr@cert.org> 1.6-1.16
* Release 1.6-1.16
	Kernel modules were added for the following kernels:
		5.2.18-200

* Fri Sep 27 2019 Lawrence R. Rogers <lrr@cert.org> 1.6-1.15
* Release 1.6-1.15
	Kernel modules were added for the following kernels:
		5.2.17-200
		5.2.16-200

* Fri Sep 20 2019 Lawrence R. Rogers <lrr@cert.org> 1.6-1.14
* Release 1.6-1.14
	Kernel modules were added for the following kernels:
		5.2.15-200
		5.2.14-200

* Fri Sep 13 2019 Lawrence R. Rogers <lrr@cert.org> 1.6-1.13
* Release 1.6-1.13
	Kernel modules were added for the following kernels:
		5.2.13-200

* Fri Sep  6 2019 Lawrence R. Rogers <lrr@cert.org> 1.6-1.12
* Release 1.6-1.12
	Kernel modules were added for the following kernels:
		5.2.11-200

* Fri Aug 23 2019 Lawrence R. Rogers <lrr@cert.org> 1.6-1.11
* Release 1.6-1.11
	Kernel modules were added for the following kernels:
		5.2.9-200
		5.2.8-200
		5.2.7-200
		5.2.6-200

* Thu Aug  8 2019 Lawrence R. Rogers <lrr@cert.org> 1.6-1.10
* Release 1.6-1.10
	Kernel modules were added for the following kernels:
		5.2.5-200

* Wed Jul 31 2019 Lawrence R. Rogers <lrr@cert.org> 1.6-1.9
* Release 1.6-1.9
	Kernel modules were added for the following kernels:
		5.1.20-300
		5.1.19-300
		5.1.18-300
		5.1.17-300

* Fri Jul 12 2019 Lawrence R. Rogers <lrr@cert.org> 1.6-1.8
* Release 1.6-1.8
	Kernel modules were added for the following kernels:
		5.1.16-300

* Wed Jul  3 2019 Lawrence R. Rogers <lrr@cert.org> 1.6-1.7
* Release 1.6-1.7
	Kernel modules were added for the following kernels:
		5.1.15-300

* Fri Jun 28 2019 Lawrence R. Rogers <lrr@cert.org> 1.6-1.6
* Release 1.6-1.6
	Kernel modules were added for the following kernels:
		5.1.12-300

* Fri Jun 21 2019 Lawrence R. Rogers <lrr@cert.org> 1.6-1.5
* Release 1.6-1.5
	Kernel modules were added for the following kernels:
		5.1.11-300
		5.1.9-300

* Fri Jun 14 2019 Lawrence R. Rogers <lrr@cert.org> 1.6-1.4
* Release 1.6-1.4
	Kernel modules were added for the following kernels:
		5.1.8-300
		5.1.7-300
		5.1.6-300
		5.1.5-300
		5.0.17-300

* Fri May 17 2019 Lawrence R. Rogers <lrr@cert.org> 1.6-1.3
* Release 1.6-1.3
	Kernel modules were added for the following kernels:
		5.0.16-300
		5.0.14-300

* Fri May 10 2019 Lawrence R. Rogers <lrr@cert.org> 1.6-1.2
* Release 1.6-1.2
	Kernel modules were added for the following kernels:
		5.0.13-300

* Mon May  6 2019 Lawrence R. Rogers <lrr@cert.org> 1.6-1.1
* Release 1.6-1.1
	Initial release. Kernel modules were added for the following kernels:
		5.0.11-300
		5.0.10-300
		5.0.9-301
